Page MenuHomePhabricator

bodyOnly is now body_only
Closed, ResolvedPublic1 Story Points

Description

Apparently RESTBase has renamed the bodyOnly parameter to body_only. Everybody should probably update to match (VRS, Parsoid v3, VE, Flow, CX, etc.).

The services team should probably take more responsibility for updating clients when they change their API (or at least notifying all users).

Event Timeline

cscott created this task.Sep 29 2015, 10:09 PM
cscott raised the priority of this task from to Needs Triage.
cscott updated the task description. (Show Details)
cscott added a project: Parsoid.
cscott added a subscriber: cscott.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2015, 10:09 PM
cscott updated the task description. (Show Details)Sep 30 2015, 2:24 PM
cscott set Security to None.
cscott added subscribers: Pchelolo, Jdforrester-WMF.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 30 2015, 2:24 PM

Change 242556 had a related patch set uploaded (by Cscott):
api: bodyOnly -> body_only in query.

https://gerrit.wikimedia.org/r/242556

Change 242559 had a related patch set uploaded (by Cscott):
Rename RESTBase1/Parsoid3 bodyOnly parameter to body_only

https://gerrit.wikimedia.org/r/242559

cscott updated the task description. (Show Details)Sep 30 2015, 2:30 PM

Change 242563 had a related patch set uploaded (by Cscott):
Rename RESTBase1/Parsoid3 bodyOnly parameter to body_only

https://gerrit.wikimedia.org/r/242563

Change 242565 had a related patch set uploaded (by Cscott):
Rename RESTBase1/Parsoid3 bodyOnly parameter to body_only

https://gerrit.wikimedia.org/r/242565

Change 242565 merged by jenkins-bot:
Rename RESTBase1/Parsoid3 bodyOnly parameter to body_only

https://gerrit.wikimedia.org/r/242565

Change 242563 merged by jenkins-bot:
Rename RESTBase1/Parsoid3 bodyOnly parameter to body_only

https://gerrit.wikimedia.org/r/242563

Change 242556 merged by jenkins-bot:
api: bodyOnly -> body_only in query.

https://gerrit.wikimedia.org/r/242556

Change 242559 merged by jenkins-bot:
Rename RESTBase1/Parsoid3 bodyOnly parameter to body_only

https://gerrit.wikimedia.org/r/242559

Catrope triaged this task as High priority.Sep 30 2015, 11:19 PM
Catrope added a subscriber: Catrope.

What remains to be done here?

To clarify, we have recently decided to deprecate bodyOnly, but it is still working.

I also agree about the need to notify clients in time before we remove support for bodyOnly. We made this decision around September 9th, and deployed it mid-month, so this is relatively recent. Thank you, @cscott, for updating all clients so quickly. We will be able to shorten the time until we remove support for the bodyOnly version considerably thanks to this effort.

Announcement of removal of bodyOnly option by end of November: https://lists.wikimedia.org/pipermail/mediawiki-api/2015-October/003656.html

cscott added a comment.Oct 3 2015, 2:57 PM

I'm not currently aware of any WMF projects still using bodyOnly, but I suspect there may still be outside users (kiwix, perhaps? others?).

@GWicke, perhaps you could add a bit of code in about a week (after the train deploy on Oct 8) to log the User-Agent header when the bodyOnly parameter is given, and we could mine the logs to see if there's anyone out there we need to yell at. We could do the same on the Parsoid side (although I'm pretty sure I haven't missed any users of the Parsoid v3 API, since it's pretty new).

@cscott, I'm 99% sure that none of the other major users (Kiwix, Google) use bodyOnly. Created a PR to log remaining uses / users at https://github.com/wikimedia/restbase/pull/362.

Jdforrester-WMF closed this task as Resolved.Oct 5 2015, 5:56 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF edited a custom field.

I'll mark this as provisionally closed.